package com.example.module.admin.ent;

import com.fasterxml.jackson.annotation.JsonFormat;
import xyz.wbsite.wsqlite.anonation.TableField;

import java.util.Date;

/**
 * MAPPING - 映射
 *
 * @author author
 * @version 0.0.1
 * @since 2019-09-28
 */
public class Mapping {

    /**
     * ID - 主键
     */
    @TableField
    private Long id;

    /**
     * ID - 端口ID
     */
    @TableField
    private Long serviceId;
    @TableField
    private String name;
    @TableField
    private String context;
    @TableField
    private String type;
    @TableField
    private String location;
    @TableField
    private String bz;
    @TableField
    private Date createTime;
    @TableField
    private boolean isDeleted;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getServiceId() {
        return serviceId;
    }

    public void setServiceId(Long serviceId) {
        this.serviceId = serviceId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getContext() {
        return context;
    }

    public void setContext(String context) {
        this.context = context;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public boolean isDeleted() {
        return isDeleted;
    }

    public void setDeleted(boolean deleted) {
        isDeleted = deleted;
    }

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}